/*
* Copyright (c) 京北方信息技术股份有限公司 Corporation 2022 . All rights reserved.
*
*/
package net.northking.cctp.device.db.impl;

import net.northking.cctp.device.db.dao.CdPcUserDao;
import net.northking.cctp.device.db.service.CdPcUserService;
import net.northking.cctp.device.db.entity.CdPcUser;

import net.northking.cctp.common.db.BasicDao;
import net.northking.cctp.common.db.PaginationService;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.boot.autoconfigure.condition.ConditionalOnMissingBean;
import org.springframework.stereotype.Service;

import java.util.List;


/**
 * PC设备操作系统用户
 *
 * <p>文件内容由代码生成器产生，请不要手动修改！ <br>
 * createdate:  2022-09-28 14:15:26  <br>
 * @author:  maven-cctp-plugin  <br>
 * @since:  1.0 <br>
 */
@Service
@ConditionalOnMissingBean(name = "CdPcUserServiceImpl")
public class CdPcUserServiceImpl extends PaginationService<CdPcUser> implements CdPcUserService
{
private static final Logger logger = LoggerFactory.getLogger(CdPcUserServiceImpl.class);

  private final CdPcUserDao cdPcUserDao;

  public CdPcUserServiceImpl(CdPcUserDao cdPcUserDao) {this.cdPcUserDao = cdPcUserDao;}

  public BasicDao<CdPcUser> getDao() {return cdPcUserDao;}

  public CdPcUser createEntity() { return new CdPcUser();}

  @Override
  public List<CdPcUser> queryUserByPC(String uuid) {
    List<CdPcUser> list = this.cdPcUserDao.queryUserByPC(uuid);
    return list;
  }

  @Override
  protected void beforeInsert(CdPcUser record) {

  }

  @Override
  protected void beforeUpdate(CdPcUser record) {

  }


// ----      The End by Generator     ----//




}

